package libpython3.9-minimal 3.9.1-1+bionic1 failed to install/upgrade: poging tot overschrijven van '/usr/lib/python3.9/typing.py', wat ook in pakket libpython3.9-stdlib:amd64 3.9.1-1+bionic1 zit

Bug #1932204 reported by Jorgos Korres
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python3.9 (Ubuntu)
Undecided
Unassigned

Bug Description

I think, to use Conda (Miniconda), I needed a specific Python version. After I upgraded Python with a newer version, I needed to set the previous version to use Conda. I don't remember very well, but I think I installed something to set a specific Python version.

Now with the problem, I think it is the fact that I hardcoded or deleted some things to set a Python version.

ProblemType: Package
DistroRelease: Ubuntu 20.04
Package: libpython3.9-minimal 3.9.1-1+bionic1
ProcVersionSignature: Ubuntu 5.4.0-73.82-generic 5.4.106
Uname: Linux 5.4.0-73-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.18
AptOrdering:
 libpython3.9-stdlib:amd64: Install
 libpython3.9-minimal:amd64: Install
 NULL: ConfigurePending
Architecture: amd64
CasperMD5CheckResult: skip
Date: Wed Jun 16 22:28:05 2021
DpkgHistoryLog:
 Start-Date: 2021-06-16 22:27:47
 Commandline: apt --fix-broken install
 Requested-By: jorgos (1000)
 Upgrade: libpython3.9-minimal:amd64 (3.9.1-1+bionic1, 3.9.5-3~20.04.1), libpython3.9-stdlib:amd64 (3.9.1-1+bionic1, 3.9.5-3~20.04.1)
ErrorMessage: poging tot overschrijven van '/usr/lib/python3.9/typing.py', wat ook in pakket libpython3.9-stdlib:amd64 3.9.1-1+bionic1 zit
InstallationDate: Installed on 2020-04-11 (431 days ago)
InstallationMedia: Ubuntu 18.04.4 LTS "Bionic Beaver" - Release amd64 (20200203.1)
Python3Details: /usr/bin/python3.8, Python 3.8.5, python3-minimal, 3.8.2-0ubuntu2
PythonDetails: /usr/bin/python2.7, Python 2.7.18, python-is-python2, 2.7.17-4
RelatedPackageVersions:
 dpkg 1.19.7ubuntu3
 apt 2.0.5
SourcePackage: python3.9
Title: package libpython3.9-minimal 3.9.1-1+bionic1 failed to install/upgrade: poging tot overschrijven van '/usr/lib/python3.9/typing.py', wat ook in pakket libpython3.9-stdlib:amd64 3.9.1-1+bionic1 zit
UpgradeStatus: Upgraded to focal on 2020-12-23 (175 days ago)

Revision history for this message
Jorgos Korres (jorgoskorres) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers